curl https://tmstest.reconex.io/api/v1/IntegrationApi/UpdateLoad \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'apikey: <api-key>' \
--data '{
"action": {
"loadId": 0,
"accountId": 0,
"rate": true,
"book": "book",
"proNumber": true,
"dispatch": true,
"errorEmailNotification": "errorEmailNotification"
},
"emailParameters": {
"emailFrom": "emailFrom",
"emailTo": "emailTo",
"emailSubject": "emailSubject",
"emailBody": "emailBody",
"emailAttachements": {
"bol": true,
"label": true,
"labelTypeId": "labelTypeId",
"loadAttachments": true
}
},
"loadDetails": {
"billingID": "billingID",
"poNumber": "poNumber",
"proNumber": "proNumber",
"customID": "customID",
"customerBilling": "customerBilling"
},
"billingLocation": {
"name": "name",
"street": "street",
"street2": "street2",
"city": "city",
"stateProvince": "stateProvince",
"postalCode": "postalCode",
"country": "country"
},
"originLocation": {
"contact": "contact",
"phone": "phone",
"phoneExtension": "phoneExtension",
"fax": "fax",
"email": "email",
"dockType": "dockType",
"notes": "notes",
"number": "number",
"dockOpen": "2024-08-25T15:00:00Z",
"dockClose": "2024-08-25T15:00:00Z",
"notesNotOnBOL": "notesNotOnBOL",
"appointment": true,
"appointmentDate": "2024-08-25T15:00:00Z",
"freightReadyTime": "2024-08-25T15:00:00Z",
"acceptGoogleSuggestions": true,
"acceptAddyBookSuggestion": true,
"acceptAccessorialSuggestions": true,
"name": "name",
"street": "street",
"street2": "street2",
"city": "city",
"stateProvince": "stateProvince",
"postalCode": "postalCode",
"country": "country"
},
"destinationLocation": {
"contact": "contact",
"phone": "phone",
"phoneExtension": "phoneExtension",
"fax": "fax",
"email": "email",
"dockType": "dockType",
"notes": "notes",
"number": "number",
"dockOpen": "2024-08-25T15:00:00Z",
"dockClose": "2024-08-25T15:00:00Z",
"notesNotOnBOL": "notesNotOnBOL",
"appointment": true,
"appointmentDate": "2024-08-25T15:00:00Z",
"freightReadyTime": "2024-08-25T15:00:00Z",
"acceptGoogleSuggestions": true,
"acceptAddyBookSuggestion": true,
"acceptAccessorialSuggestions": true,
"name": "name",
"street": "street",
"street2": "street2",
"city": "city",
"stateProvince": "stateProvince",
"postalCode": "postalCode",
"country": "country"
},
"accessorials": {
"doNotFreeze": true,
"overLength": true,
"sortAndSegregate": true,
"blindShipment": true,
"whiteGloveDelivery": true,
"expedite": true,
"insuranceRequired": true,
"falveyInsValue": 0,
"volumeLoad": true,
"guaranteed": true,
"mabd": true,
"destinationNotification": true,
"originInsidePickup": true,
"originLiftGate": true,
"destinationInsideDelivery": true,
"destinationLiftGate": true,
"inBond": true
},
"items": [
{
"qty": "qty",
"packaging": "packaging",
"freightClass": "freightClass",
"weight": "weight",
"nmfCnumber": "nmfCnumber",
"subClass": "subClass",
"description": "description",
"hazMat": {
"isHazMat": true,
"unNa": "unNa",
"unNaNumber": "unNaNumber",
"hazClass": "hazClass",
"pgCode": "pgCode",
"subRisk": 0,
"vol": 0,
"limitedQuantity": true
},
"itemDimensions": {
"length": 0,
"height": 0,
"width": 0,
"shipQuantity": 0
}
}
],
"additionalLoadInfo": {
"pickedUpDate": "2024-08-25T15:00:00Z",
"mustArriveByDate": "2024-08-25T15:00:00Z",
"specialInstructions": "specialInstructions",
"shippingQuantity": 0,
"loadEquipmentType": "loadEquipmentType",
"shippingUnits": "shippingUnits",
"allStackable": true,
"loadNotes": "loadNotes",
"asn": {
"isASNNeeded": true,
"asnTemplateName": "asnTemplateName"
}
},
"attachments": [
{
"fileName": "fileName",
"fileContent": "fileContent"
}
]
}'